LIRC libraries: Data Fields - Variables

| LIRC libraries LinuxInfraredRemoteControl

### - a -

- aeps : ir_remote
- api_version : driver

### - b -

- baud : ir_remote
- bits : ir_remote
- bits_in_byte : ir_remote
- buffer : lirc_cmd_ctx

### - c -

- close_func : driver
- code : decode_ctx_t , ir_ncode
- code_length : driver
- count : lengths_state
- current : ir_ncode

### - d -

- decode_func : driver
- deinit_func : driver
- device : driver
- device_hint : driver
- driver : ir_remote
- driver_version : driver
- drvctl_func : driver
- duty_cycle : ir_remote
- dyncode : ir_remote
- dyncodes : ir_remote
- dyncodes_name : ir_remote

### - e -

- eps : ir_remote

### - f -

- fd : driver
- features : driver
- flag : flaglist
- flags : ir_remote
- freq : ir_remote

### - g -

- gap : ir_remote
- gap2 : ir_remote

### - h -

- head : lirc_cmd_ctx

### - i -

- ignore_mask : ir_remote
- info : driver
- init_func : driver

### - k -

- keypresses : lengths_state
- keypresses_done : lengths_state

### - l -

- last_code : ir_remote
- last_send : ir_remote
- length : ir_ncode
- lircrc_class : lirc_config

### - m -

- manual_sort : ir_remote
- max_gap_length : ir_remote
- max_remaining_gap : decode_ctx_t , ir_remote
- max_total_signal_length : ir_remote
- message : button_state
- min_code_repeat : ir_remote
- min_gap_length : ir_remote
- min_remaining_gap : decode_ctx_t , ir_remote
- min_repeat : ir_remote
- min_total_signal_length : ir_remote

### - n -

- name : driver , flaglist , ir_ncode , ir_remote
- ncode : button_state
- next : ir_ncode , lirc_cmd_ctx
- next_ncode : ir_ncode

### - o -

- open_func : driver

### - p -

- packet : lirc_cmd_ctx
- parity : ir_remote
- plead : ir_remote
- post : decode_ctx_t
- post_data : ir_remote
- post_data_bits : ir_remote
- post_s : ir_remote
- pre : decode_ctx_t
- pre_data : ir_remote
- pre_data_bits : ir_remote
- pre_s : ir_remote
- ptrail : ir_remote

### - r -

- rc6_mask : ir_remote
- readdata : driver
- rec_func : driver
- rec_mode : driver
- release_detected : ir_remote
- repeat_flag : decode_ctx_t
- repeat_gap : ir_remote
- repeat_mask : ir_remote
- reply : lirc_cmd_ctx
- reply_to_stdout : lirc_cmd_ctx
- resolution : driver

### - s -

- send_func : driver
- send_mode : driver
- sfoot : ir_remote
- shead : ir_remote
- signals : ir_ncode
- sone : ir_remote
- srepeat : ir_remote
- sthree : ir_remote
- stop_bits : ir_remote
- stwo : ir_remote
- sum : lengths_state
- suppress_repeat : ir_remote
- szero : ir_remote

### - t -

- toggle_bit : ir_remote
- toggle_bit_mask : ir_remote
- toggle_code : ir_remote
- toggle_mask : ir_remote
- transmit_state : ir_ncode